DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dcmtk::log4cplus::spi::AppenderFactory Class Referenceabstract

This abstract class defines the "Factory" interface to create "Appender" objects. More...

Inheritance diagram for dcmtk::log4cplus::spi::AppenderFactory:

## Public Member Functions
virtual SharedAppenderPtr | createObject (const log4cplus::helpers::Properties &props)=0
| Create an "Appender" object.
Public Member Functions inherited from dcmtk::log4cplus::spi::BaseFactory
virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create "Appender" objects.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/factory.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2